com.pixelmed.test

## Class TestDeviceParticipant

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestDeviceParticipant

All Implemented Interfaces:
  junit.framework.Test

    public class TestDeviceParticipant
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestDeviceParticipant(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButInstitutionName()`
`void` `TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationAndInstitutionName()`
`void` `TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationName()`
`void` `TestDeviceParticipant_SerialNumberWithSerialNumberPresent()`
`void` `TestDeviceParticipant_UIDSynthesisWithSerialNumberManufacturerModelStationInstitutionName()`
`void` `TestDeviceParticipant_WithManufacturerModelSerialNumberAndUID()`
`void` `TestDeviceParticipant_WithManufacturerModelSerialNumberButNoUID()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestDeviceParticipant

    public TestDeviceParticipant(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### TestDeviceParticipant_WithManufacturerModelSerialNumberAndUID

    public void TestDeviceParticipant_WithManufacturerModelSerialNumberAndUID()
                                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDeviceParticipant_WithManufacturerModelSerialNumberButNoUID

    public void TestDeviceParticipant_WithManufacturerModelSerialNumberButNoUID()
                                                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDeviceParticipant_SerialNumberWithSerialNumberPresent

    public void TestDeviceParticipant_SerialNumberWithSerialNumberPresent()
                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationName

    public void TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationName()
                                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButInstitutionName

    public void TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButInstitutionName()
                                                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationAndInstitutionName

    public void TestDeviceParticipant_SerialNumberWithNoSerialNumberPresentButStationAndInstitutionName()
                                                                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestDeviceParticipant_UIDSynthesisWithSerialNumberManufacturerModelStationInstitutionName

    public void TestDeviceParticipant_UIDSynthesisWithSerialNumberManufacturerModelStationInstitutionName()
                                                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`